<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <script src="https://apis.google.com/js/platform.js" async defer></script>
    <link rel="stylesheet" href="{% static 'lab_11/css/lab_11.css' %}">
    <meta name="google-signin-client_id" content="316194232194-m946st68nubsb365be59p7qvb7e83rah.apps.googleusercontent.com">
    <title>Story 11</title>
</head>
<body class="bg">
    <h1 id="web-title" class="font0" style="text-align: center;"> Story 11 </h1>
    <div id="log-in">
        <h1 class="font1" style="text-align: center;"> Silahkan Login terlebih dahulu </h1>
        <div class="g-signin2" data-onsuccess="onSignIn"></div>
    </div>
    <div id="lab-11-profile"></div>
    <script src="/static/lab_11/js/jquery-3.3.1.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="/static/lab_11/js/lab_11.js"></script>
    <script>
        function signOut() {
            //document.cookie = "Name=" + sessionStorage.getItem("Name") + "; expires=Thu, 01 Jan 1970 00:00:00 UTC";
            var auth2 = gapi.auth2.getAuthInstance();
            auth2.signOut().then(function () {
               console.log('User signed out.');
            });
            sessionStorage.clear();
            location.reload();
        }

        function onSignIn(googleUser) {
            var profile = googleUser.getBasicProfile();
            console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
            console.log('Name: ' + profile.getName());
            sessionStorage.setItem("Name", profile.getName());
            //document.cookie = "Name=" + profile.getName() + "; expires=Mon, 26 Nov 2018 04:50:00 UTC";
            console.log('Image URL: ' + profile.getImageUrl());
            sessionStorage.setItem("Image", profile.getImageUrl());
            console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.
            sessionStorage.setItem("Email", profile.getEmail());
            html = '<div class="profile_container font2">';
            html += '<img class="feed-author-profpic" src="' + sessionStorage.getItem("Image") + '">';
            html += '<h1 style="color:rgb(68, 68, 68); text-align: center;"> Halo ' + sessionStorage.getItem("Name") + '</h1>';
            html += '<h4 style="color:rgba(68, 68, 68, 30%); text-align: center; margin-top:-20px;">' + sessionStorage.getItem("Email") + '</h1>';
            html += '</div>';
            html += '<div class="cards_container font2">';
            html += '<h1 style="color:rgb(68, 68, 68); text-align: center; margin-top:-10px;"> BanG Dream!</h1>';
            html += '<div id="cards"></div>'
            html += '</div>';
            html += '<a href="#" onclick="signOut();">Sign out</a>';
            $('#lab-11-profile').html(html);
            $('#web-title').remove();
            $('#log-in').remove();

            var request = new XMLHttpRequest();
            html = ''

            request.open('GET', 'https://bandori.party/api/cards/', true);
            request.onload = function () {
                var data = JSON.parse(this.response);

                if (request.status >= 200 && request.status < 400) {
                    data.results.forEach(cards => {
                        console.log(cards.image);
                        html += '<img style="width: 100px; margin-right:5px;" src="' + cards.image + '">';
                        $('#cards').html(html);
                    });
                } else {
                    console.log('error');
                }
                console.log(data.next);
            }
            request.send();
        }
    </script>
<!--    <script type="text/javascript" 
    src="https://mail.google.com/mail/u/0/?logout&hl=en" /> --->
</body>
</html>
